pci boot messages displayed

Bug #413419 reported by Paul Natsuo Kishimoto on 2009-08-14
158
This bug affects 30 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Before the boot splash displays, I see the following messages:

pci 0000:02:00.0: BAR 6: no parent found for of device [0xfffe0000-0xffffffff]
pci 0000:04:00.0: BAR 6: no parent found for of device [0xffff8000-0xffffffff]

I am not experiencing any other bugs which appear to be related to this one, but the messages are an annoyance.

ProblemType: Bug
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: khaeru 3092 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x78540000 irq 16'
   Mixer name : 'Realtek ALC268'
   Components : 'HDA:10ec0268,1025015b,00100101'
   Controls : 9
   Simple ctrls : 6
Date: Fri Aug 14 02:00:39 2009
DistroRelease: Ubuntu 9.10
MachineType: Acer AOA110
Package: linux-image-2.6.31-5-generic 2.6.31-5.24
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-5-generic root=UUID=de2353ed-eb04-4c19-9ecd-a9d5d9989923 ro quiet splash
ProcEnviron:
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-5-generic N/A
 linux-firmware 1.15
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
Tags: ubuntu-unr
Uname: Linux 2.6.31-5-generic i686
dmi.bios.date: 05/09/2008
dmi.bios.vendor: Acer
dmi.bios.version: v0.3305
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAcer:bvrv0.3305:bd05/09/2008:svnAcer:pnAOA110:pvr1:rvnAcer:rn:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: AOA110
dmi.product.version: 1
dmi.sys.vendor: Acer

Paul Natsuo Kishimoto (khaeru) wrote :
Jerry Snitselaar (snits) wrote :

The message is in pci_claim_resource() in drivers/pci/setup-res.c. It looks like this has been discussed on linux-kernel:

http://lkml.org/lkml/2009/6/24/373

Paul Natsuo Kishimoto (khaeru) wrote :

Sorry, Jerry—I had noticed that thread and meant to link it, but forgot.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Paul Larson (pwlars) wrote :

removed ubuntu-unr tag since this problem is not specific to unr.

tags: removed: ubuntu-unr
Caroline Ford (secretlondon) wrote :

I get this too on my HP G70 and I think from reading the kernel list thread that its not necessarily a bug.

spbrereton (simon-brereton) wrote :

Got it reinstalling 9.04 on top of 9.10 development release when updates on Karmic went wrong. MacBook Pro 2.2. I can't boot. Kernel panic - not syncing VFS Unable to mount root fs on unknown-block (0,0)

John Pettigrew (jrpettigrew) wrote :

Still visible in the new beta. It's quicker to move on past this message than in the alphas, though!

Frederic (fmorel90) wrote :

I get this message as well on an HP dv5t.

Any way to hide it? It kinda ruins the new boot experience in Karmic by showing up between grub and the Ubuntu logo.

I got this on the new beta on a clean reinstall on my Acer Aspire One 110L. First the message about grub loading. screen clears, then this message reported in the bug above, showing for 1-2 seconds, and then the Ubuntu logo shows up.

Adding tag "ubuntu-boot-experience" as per instruction on http://www.ubuntu.com/testing/karmic/beta

tags: added: ubuntu-boot-experience

After the latest package upgrades I now have three more lines coming out. (Acer Aspire One 110L, uname -a = Linux netbook 2.6.31-11-generic #38-Ubuntu SMP Fri Oct 2 11:55:55 UTC 2009 i686)

[ 0.938253] pci 0000:02:00.0: BAR 6: no parent found for of device [0xfffe0000-0xffffffff]
[ 0.938321] pci 0000:04:00.0: BAR 6: no parent found for of device [0xffff8000-0xffffffff]
[ 2.584268] [drm:drm_fill_in_dev] *ERROR* Cannot initialize the agpgart module.
[ 2.584332] [drm:intelfb_restore] *ERROR* Failed to restore crtc configuration: -22
[ 2.584390] DRM: Fill_in_dev failed.

Paul Natsuo Kishimoto (khaeru) wrote :

As Anders seems to have already noticed, the DRM messages are due to a separate bug :)

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/430694

Yes, Paul is correct. And faster than me :)

Micha Moskovic (micha-mosk) wrote :

I also get similar messages:
[ 2.488082] pci 0000:07:00.0: BAR 0: no parent found for of device [0xf0200000-0xf0203fff]
[ 2.488082] pci 0000:07:00.0: BAR 0: can't allocate resource
[ 2.488082] pci 0000:07:00.0: BAR 2: no parent found for of device [0x2000-0x20ff]
[ 2.488082] pci 0000:07:00.0: BAR 2: can't allocate resource
[ 2.488082] pci 0000:08:00.0: BAR 0: no parent found for of device [0xf0300000-0xf0301fff]
[ 2.488082] pci 0000:08:00.0: BAR 0: can't allocate resource

and the pci devices in question are my 2 network adapters:
07:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88E8040T PCI-E Fast Ethernet Controller [11ab:4355] (rev 12)
08:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection [8086:4229] (rev 61)

The proposed patch only changes the behaviour for BAR 6 errors, but I get BAR 0 and 2 errors.
I suppose it is nevertheless related, but let me know if I should file another bug report.

Jack Deslippe (jdeslip) wrote :

Was the kernel patch applied? Can we expect a fix for this issue in a upcoming 2.6.31 kernel update?

Planeman (planemantheace) wrote :

It got fixed for me in the 2.6.31-13 update.

Gabe Gorelick (gabegorelick) wrote :

Edited the bug title to reflect the fact that this has nothing to do with Acer hardware.

summary: - Boot messages show on Acer Aspire One
+ pci boot messages displayed
Gabe Gorelick (gabegorelick) wrote :

Does anyone still experience this bug with the latest kernel updates in Karmic?

Changed in linux (Ubuntu):
status: Triaged → Incomplete

After latest updates all messages disappeared.

Such messages are no longer displayed after latest kernel updates. Thanks a
lot.
--
Chen Tao

On Wed, Nov 25, 2009 at 5:05 PM, Gabe Gorelick <email address hidden>wrote:

> Does anyone still experience this bug with the latest kernel updates in
> Karmic?
>
> ** Changed in: linux (Ubuntu)
> Status: Triaged => Incomplete
>
> --
> pci boot messages displayed
> https://bugs.launchpad.net/bugs/413419
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> Before the boot splash displays, I see the following messages:
>
> pci 0000:02:00.0: BAR 6: no parent found for of device
> [0xfffe0000-0xffffffff]
> pci 0000:04:00.0: BAR 6: no parent found for of device
> [0xffff8000-0xffffffff]
>
> I am not experiencing any other bugs which appear to be related to this
> one, but the messages are an annoyance.
>
> ProblemType: Bug
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC268 Analog [ALC268 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: khaeru 3092 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0x78540000 irq 16'
> Mixer name : 'Realtek ALC268'
> Components : 'HDA:10ec0268,1025015b,00100101'
> Controls : 9
> Simple ctrls : 6
> Date: Fri Aug 14 02:00:39 2009
> DistroRelease: Ubuntu 9.10
> MachineType: Acer AOA110
> Package: linux-image-2.6.31-5-generic 2.6.31-5.24
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-5-generic
> root=UUID=de2353ed-eb04-4c19-9ecd-a9d5d9989923 ro quiet splash
> ProcEnviron:
> LANG=en_CA.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
> RelatedPackageVersions:
> linux-backports-modules-2.6.31-5-generic N/A
> linux-firmware 1.15
> RfKill:
> 0: phy0: Wireless LAN
> Soft blocked: no
> Hard blocked: no
> SourcePackage: linux
> Tags: ubuntu-unr
> Uname: Linux 2.6.31-5-generic i686
> dmi.bios.date: 05/09/2008
> dmi.bios.vendor: Acer
> dmi.bios.version: v0.3305
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.vendor: Acer
> dmi.board.version: Base Board Version
> dmi.chassis.type: 1
> dmi.chassis.vendor: Chassis Manufacturer
> dmi.chassis.version: Chassis Version
> dmi.modalias:
> dmi:bvnAcer:bvrv0.3305:bd05/09/2008:svnAcer:pnAOA110:pvr1:rvnAcer:rn:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
> dmi.product.name: AOA110
> dmi.product.version: 1
> dmi.sys.vendor: Acer
>

udippel (udippel) wrote :

Chen Tao wrote:
> Such messages are no longer displayed after latest kernel updates. Thanks a
> lot.
>

Same here. All okay!

Uwe

Bobby Graese (bobby-graese) wrote :

The message no longer shows up on boot, but it still shows up in dmesg:
bobby@rgraese-linux:~$ dmesg | grep "no parent"
[ 1.068488] pci 0000:01:00.0: BAR 6: no parent found for of device [0xfffe0000-0xffffffff]
[ 1.068493] pci 0000:02:00.0: BAR 6: no parent found for of device [0xfffe0000-0xffffffff]

Gabe Gorelick (gabegorelick) wrote :

These messages in dmesg are just debug messages, and aren't a concern. The only problem was that the messages appeared during boot, which was a priority to clean up for Karmic. Since they no longer appear during boot, this bug can be closed. Feel free to reopen this if anyone experiences this bug again.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers